Bug 313361 - Review Request: python-zsi - Libraries for developing web services in python
Summary: Review Request: python-zsi - Libraries for developing web services in python
Status: CLOSED DUPLICATE of bug 361941
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-30 22:24 UTC by James Bowes
Modified: 2013-01-10 09:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 15:10:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-09-30 22:24:05 UTC
Spec URL: http://jbowes.fedorapeople.org/tmp/python-zsi.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/python-zsi-2.0-1.fc7.src.rpm
Description:
The Zolara SOAP Infrastructure provides libraries for developing web services
using the python programming language. The libraries implement the various
protocols used when writing web services including SOAP, WSDL, and other
related protocols.

Comment 1 Chris PeBenito 2007-10-03 17:10:29 UTC
I get build errors:

RPM build errors:
    user jbowes does not exist - using root
    group jbowes does not exist - using root
    user jbowes does not exist - using root
    group jbowes does not exist - using root
    File not found by glob:
/var/tmp/python-zsi-2.0-1.fc8-root-root/usr/lib/python2.5/site-packages/*egg-info

so the files in the srpm need to have their ownership fixed, and the files
sections can be rewritten with wildcard like:

%{python_sitelib}/*
%exclude %{python_sitelib}/ZSI/twisted

so you can get all the files in the site lib, except for the part that goes in
the twisted subpackage.  

Also you need to run rpmlint; I get permissions on scripts that need to be fixed:
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/dispatch.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/schema.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/writer.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/wstools/c14n.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/TCnumbers.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/parse.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/auth.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/resolvers.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/wstools/__init__.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/TCtimes.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/ServiceContainer.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/client.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/TC.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/fault.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/TCapache.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/generate/wsdl2dispatch.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/__init__.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/digest_auth.py 0644
python-zsi.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ZSI/TCcompound.py 0644


Comment 2 Chris PeBenito 2007-10-03 17:17:10 UTC
also I don't think this follows the naming conventions in
http://fedoraproject.org/wiki/Packaging/NamingGuidelines

Comment 3 Michał Bentkowski 2007-10-30 20:03:36 UTC
Ping?
It'd be nice to package it quick because it's recomended (not needed though) by 
sonata to fetch lyrics.
I could package it if there weren't be any answer.

Comment 4 Michał Bentkowski 2007-11-01 15:10:53 UTC

*** This bug has been marked as a duplicate of 361941 ***


Note You need to log in before you can comment on or make changes to this bug.